/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it uses a non-standard name for the exports (exports).
(() => {
var exports = __webpack_exports__;

/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getErrorStatusDescription = exports.xhr = exports.configure = void 0;
const configure = (_proxyUrl, _strictSSL) => { };
exports.configure = configure;
const xhr = async (options) => {
    const requestHeaders = new Headers();
    if (options.headers) {
        for (const key in options.headers) {
            const value = options.headers[key];
            if (Array.isArray(value)) {
                value.forEach(v => requestHeaders.set(key, v));
            }
            else {
                requestHeaders.set(key, value);
            }
        }
    }
    if (options.user && options.password) {
        requestHeaders.set('Authorization', 'Basic ' + btoa(options.user + ":" + options.password));
    }
    const requestInit = {
        method: options.type,
        redirect: options.followRedirects > 0 ? 'follow' : 'manual',
        mode: 'cors',
        headers: requestHeaders
    };
    const requestInfo = new Request(options.url, requestInit);
    const response = await fetch(requestInfo);
    const resposeHeaders = {};
    for (let name in response.headers) {
        resposeHeaders[name] = response.headers.get(name);
    }
    return {
        responseText: await response.text(),
        body: new Uint8Array(await response.arrayBuffer()),
        status: response.status,
        headers: resposeHeaders
    };
};
exports.xhr = xhr;
function getErrorStatusDescription(status) {
    return String(status);
}
exports.getErrorStatusDescription = getErrorStatusDescription;

})();

var __webpack_export_target__ = exports;
for(var i in __webpack_exports__) __webpack_export_target__[i] = __webpack_exports__[i];
if(__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, "__esModule", { value: true });
/******/ })()
;
